way-input {
    --input-bg-color: var(--color-background-secondary-surface);
    --input-border-radius: var(--border-radius-l);
    --input-font-size: var(--regular-l);
    width: var(--width-full);
    display: inline-block;
    position: relative;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    text-align: left
}

@media (hover: hover) and (pointer: fine) {
    way-input:not(.way-input_disabled__1tpGz, .way-input_has-focus__2SPis, .way-input_has-message__3FAP_):hover .way-input_placeholder-title__wZE1N {
        color: var(--color-text-primary)
    }

    way-input:not(.way-input_disabled__1tpGz, .way-input_has-focus__2SPis, .way-input_has-message__3FAP_):hover .way-input_input-content__1uvp4 {
        -webkit-box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-highlight);
        box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-highlight)
    }
}

way-input.way-input_disabled__1tpGz input {
    color: var(--color-text-inactive);
    -webkit-text-fill-color: var(--color-text-inactive);
    cursor: not-allowed
}

way-input.way-input_disabled__1tpGz .way-input_input-content__1uvp4 {
    -webkit-box-shadow: inset 0 0 0 var(--offset-sm-3xs) var(--color-stroke-inactive);
    box-shadow: inset 0 0 0 var(--offset-sm-3xs) var(--color-stroke-inactive);
    background-color: var(--color-background-base);
    cursor: not-allowed
}

way-input.way-input_disabled__1tpGz .way-input_placeholder-title__wZE1N {
    color: var(--color-text-inactive)
}

way-input.way-input_disabled__1tpGz .way-input_item-start__1EIaj,
way-input.way-input_disabled__1tpGz .way-input_item-end__2lXbg {
    color: var(--color-icon-primary-inactive)
}

way-input:not(.way-input_has-value__2yIKd, .way-input_has-focus__2SPis) .way-input_prefix__3JBlK {
    opacity: var(--opacity-0);
    -webkit-transition: opacity var(--transition-faster) var(--cubic-ease-out);
    transition: opacity var(--transition-faster) var(--cubic-ease-out)
}

way-input input {
    height: inherit;
    width: var(--width-full);
    margin: 0;
    padding: var(--offset-sm-l) 0 0;
    border: none;
    background: none;
    color: var(--color-text-primary);
    caret-color: var(--color-text-accent);
    line-height: inherit;
    font-size: inherit;
    cursor: default;
    position: relative;
    z-index: var(--zindex-2)
}

.way-input_input-content__1uvp4 {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    background-color: var(--input-bg-color);
    -webkit-box-shadow: inset 0 0 0 var(--offset-sm-3xs) var(--color-stroke-active);
    box-shadow: inset 0 0 0 var(--offset-sm-3xs) var(--color-stroke-active);
    border-radius: var(--input-border-radius);
    -webkit-transition: var(--transition-standart) var(--cubic-ease-out);
    transition: var(--transition-standart) var(--cubic-ease-out);
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    overflow: hidden
}

.way-input_input-wrapper__2D2eo {
    position: relative;
    width: var(--width-full);
    display: -ms-flexbox;
    display: flex
}

.way-input_item-start__1EIaj,
.way-input_item-end__2lXbg {
    color: var(--color-icon-primary-active)
}

.way-input_item-start__1EIaj,
.way-input_item-end__2lXbg,
.way-input_status-icon__3Cd3k {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex: none;
    flex: none;
    -webkit-transition: var(--transition-fast) var(--cubic-ease-out);
    transition: var(--transition-fast) var(--cubic-ease-out)
}

.way-input_item-start__1EIaj {
    margin: 0 var(--offset-sm-s) 0 0
}

.way-input_item-end__2lXbg,
.way-input_status-icon__3Cd3k {
    margin: 0 0 0 var(--offset-sm-s)
}

.way-input_prefix__3JBlK {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: end;
    align-items: flex-end;
    margin: 0 var(--offset-sm-3xs) 0 0;
    line-height: inherit;
    font-size: inherit;
    color: var(--color-text-primary)
}

.way-input_message__3JkKF {
    display: block;
    width: var(--width-full);
    padding: 0 var(--offset-sm-l);
    font: var(--bold-m);
    opacity: var(--opacity-0);
    visibility: hidden;
    color: transparent;
    -webkit-transition: opacity var(--transition-standart) var(--cubic-ease-out), padding var(--transition-standart) var(--cubic-ease-out);
    transition: opacity var(--transition-standart) var(--cubic-ease-out), padding var(--transition-standart) var(--cubic-ease-out)
}

.way-input_message__3JkKF:not(:empty) {
    padding: var(--offset-sm-2xs) var(--offset-sm-l)
}

.way-input_placeholder__3z7mI {
    position: absolute;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    top: 0;
    left: 0;
    z-index: 1;
    width: var(--width-full);
    height: 100%
}

.way-input_placeholder-title__wZE1N {
    width: inherit;
    font: var(--regular-m);
    color: var(--color-text-secondary);
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    line-height: normal;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-transition: color var(--transition-fast) var(--cubic-ease-out), font-size var(--transition-fast) var(--cubic-ease-out), -webkit-transform var(--transition-fast) var(--cubic-ease-out);
    transition: color var(--transition-fast) var(--cubic-ease-out), font-size var(--transition-fast) var(--cubic-ease-out), -webkit-transform var(--transition-fast) var(--cubic-ease-out);
    transition: color var(--transition-fast) var(--cubic-ease-out), transform var(--transition-fast) var(--cubic-ease-out), font-size var(--transition-fast) var(--cubic-ease-out);
    transition: color var(--transition-fast) var(--cubic-ease-out), transform var(--transition-fast) var(--cubic-ease-out), font-size var(--transition-fast) var(--cubic-ease-out), -webkit-transform var(--transition-fast) var(--cubic-ease-out)
}

.way-input_size-s__2OUSX {
    --input-border-radius: var(--border-radius-m)
}

.way-input_size-s__2OUSX .way-input_input-content__1uvp4 {
    padding: var(--offset-sm-xs) var(--offset-sm-s) var(--offset-sm-xs) var(--offset-sm-m);
    height: var(--height-md-l);
    font: var(--bold-m)
}

.way-input_size-s__2OUSX .way-input_placeholder-title__wZE1N {
    font: var(--bold-m)
}

.way-input_size-s__2OUSX .way-input_message__3JkKF {
    padding: 0 var(--offset-sm-m);
    font: var(--bold-s)
}

.way-input_size-s__2OUSX .way-input_message__3JkKF:not(:empty) {
    padding: var(--offset-sm-2xs) var(--offset-sm-m)
}

.way-input_size-s__2OUSX input {
    padding: var(--offset-sm-m) 0 0
}

.way-input_size-m__1PZSu .way-input_input-content__1uvp4 {
    padding: var(--offset-sm-s) var(--offset-sm-m) var(--offset-sm-s) var(--offset-sm-l);
    height: var(--height-md-2xl);
    font: var(--regular-m)
}

.way-input_size-m__1PZSu input {
    padding: var(--offset-sm-m) 0 0
}

.way-input_size-l__2g0xC .way-input_input-content__1uvp4 {
    padding: var(--offset-sm-s) var(--offset-sm-m) var(--offset-sm-s) var(--offset-sm-l);
    height: var(--height-lg-s);
    font: var(--input-font-size)
}

.way-input_size-xl__JQtQl .way-input_input-content__1uvp4 {
    padding: var(--offset-sm-sm) var(--offset-sm-l) var(--offset-sm-sm) var(--offset-sm-xxl);
    height: var(--height-lg-l);
    font: var(--input-font-size)
}

.way-input_size-xl__JQtQl .way-input_placeholder-title__wZE1N {
    font: var(--regular-l)
}

.way-input_size-xl__JQtQl .way-input_message__3JkKF {
    padding: 0 var(--offset-sm-xxl)
}

.way-input_size-xl__JQtQl .way-input_message__3JkKF:not(:empty) {
    padding: var(--offset-sm-2xs) var(--offset-sm-xxl)
}

.way-input_size-xl__JQtQl input {
    padding: var(--offset-sm-xxl) 0 0
}

.way-input_has-focus__2SPis .way-input_input-content__1uvp4 {
    -webkit-box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-accent);
    box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-accent)
}

.way-input_valid__1fIms .way-input_status-icon__3Cd3k {
    color: var(--color-icon-positive)
}

.way-input_valid__1fIms .way-input_message__3JkKF {
    color: var(--color-text-positive)
}

.way-input_valid__1fIms .way-input_input-content__1uvp4 {
    -webkit-box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-positive);
    box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-positive)
}

.way-input_invalid__14Ohy .way-input_status-icon__3Cd3k {
    color: var(--color-icon-negative)
}

.way-input_invalid__14Ohy .way-input_message__3JkKF {
    color: var(--color-text-negative)
}

.way-input_invalid__14Ohy .way-input_input-content__1uvp4 {
    -webkit-box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-negative);
    box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-negative)
}

.way-input_warning__35KFr .way-input_status-icon__3Cd3k {
    color: var(--color-icon-warning)
}

.way-input_warning__35KFr .way-input_message__3JkKF {
    color: var(--color-text-warning)
}

.way-input_warning__35KFr .way-input_input-content__1uvp4 {
    -webkit-box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-warning);
    box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-warning)
}

.way-input_help__hXo4V .way-input_message__3JkKF {
    color: var(--color-text-primary)
}

.way-input_help__hXo4V .way-input_input-content__1uvp4 {
    -webkit-box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-accent);
    box-shadow: inset 0 calc(-1 * var(--offset-sm-3xs)) 0 0 var(--color-stroke-accent)
}

.way-input_valid__1fIms .way-input_message__3JkKF:not(:empty),
.way-input_invalid__14Ohy .way-input_message__3JkKF:not(:empty),
.way-input_warning__35KFr .way-input_message__3JkKF:not(:empty),
.way-input_help__hXo4V .way-input_message__3JkKF:not(:empty) {
    opacity: var(--opacity-10);
    visibility: visible
}

way-input:not([readonly]).way-input_has-focus__2SPis .way-input_placeholder-title__wZE1N,
way-input.way-input_has-value__2yIKd .way-input_placeholder-title__wZE1N {
    font: var(--regular-s);
    -webkit-transform: translateY(-75%);
    transform: translateY(-75%)
}

way-input:not([readonly]).way-input_has-focus__2SPis.way-input_size-s__2OUSX .way-input_placeholder-title__wZE1N,
way-input.way-input_has-value__2yIKd.way-input_size-s__2OUSX .way-input_placeholder-title__wZE1N {
    font: var(--bold-s)
}

way-input:not([readonly]).way-input_has-focus__2SPis.way-input_size-m__1PZSu .way-input_placeholder-title__wZE1N,
way-input.way-input_has-value__2yIKd.way-input_size-m__1PZSu .way-input_placeholder-title__wZE1N {
    font: var(--bold-s)
}

way-input:not([readonly]).way-input_has-focus__2SPis.way-input_size-xl__JQtQl .way-input_placeholder-title__wZE1N,
way-input.way-input_has-value__2yIKd.way-input_size-xl__JQtQl .way-input_placeholder-title__wZE1N {
    font: var(--regular-m)
}